using System;
using System.Collections.Generic;
using Aop.Api.Response;

namespace Aop.Api.Request
{
    /// <summary>
    /// AOP API: alipay.evercall.contract.sign.update
    /// </summary>
    public class AlipayEvercallContractSignUpdateRequest : IAopRequest<AlipayEvercallContractSignUpdateResponse>
    {
        /// <summary>
        /// 签约状态
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 扩展属性
        /// </summary>
        public string ExtendField { get; set; }

        /// <summary>
        /// 签约状态信息描述
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// 签约手机号
        /// </summary>
        public string MobileNo { get; set; }

        #region IAopRequest Members
        private string apiVersion = "1.0";
		private string terminalType;
		private string terminalInfo;
        private string prodCode;
		private string notifyUrl;

		public void SetNotifyUrl(string notifyUrl){
            this.notifyUrl = notifyUrl;
        }

        public string GetNotifyUrl(){
            return this.notifyUrl;
        }

        public void SetTerminalType(String terminalType){
			this.terminalType=terminalType;
		}

    	public string GetTerminalType(){
    		return this.terminalType;
    	}

    	public void SetTerminalInfo(String terminalInfo){
    		this.terminalInfo=terminalInfo;
    	}

    	public string GetTerminalInfo(){
    		return this.terminalInfo;
    	}

        public void SetProdCode(String prodCode){
            this.prodCode=prodCode;
        }

        public string GetProdCode(){
            return this.prodCode;
        }

        public string GetApiName()
        {
            return "alipay.evercall.contract.sign.update";
        }

        public void SetApiVersion(string apiVersion){
            this.apiVersion=apiVersion;
        }

        public string GetApiVersion(){
            return this.apiVersion;
        }

        public IDictionary<string, string> GetParameters()
        {
            AopDictionary parameters = new AopDictionary();
            parameters.Add("code", this.Code);
            parameters.Add("extend_field", this.ExtendField);
            parameters.Add("message", this.Message);
            parameters.Add("mobile_no", this.MobileNo);
            return parameters;
        }

        #endregion
    }
}
