using System;
using System.Collections.Generic;
using Aop.Api.Response;

namespace Aop.Api.Request
{
    /// <summary>
    /// AOP API: alipay.pai.partner.result.get
    /// </summary>
    public class AlipayPaiPartnerResultGetRequest : IAopRequest<AlipayPaiPartnerResultGetResponse>
    {
        /// <summary>
        /// 二维码码值
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 扩展参数信息
        /// </summary>
        public string ExtInfo { get; set; }

        /// <summary>
        /// 新浪用户userId
        /// </summary>
        public string PartnerUserId { get; set; }

        #region IAopRequest Members
        private string apiVersion = "1.0";
		private string terminalType;
		private string terminalInfo;
        private string prodCode;
		private string notifyUrl;

		public void SetNotifyUrl(string notifyUrl){
            this.notifyUrl = notifyUrl;
        }

        public string GetNotifyUrl(){
            return this.notifyUrl;
        }

        public void SetTerminalType(String terminalType){
			this.terminalType=terminalType;
		}

    	public string GetTerminalType(){
    		return this.terminalType;
    	}

    	public void SetTerminalInfo(String terminalInfo){
    		this.terminalInfo=terminalInfo;
    	}

    	public string GetTerminalInfo(){
    		return this.terminalInfo;
    	}

        public void SetProdCode(String prodCode){
            this.prodCode=prodCode;
        }

        public string GetProdCode(){
            return this.prodCode;
        }

        public string GetApiName()
        {
            return "alipay.pai.partner.result.get";
        }

        public void SetApiVersion(string apiVersion){
            this.apiVersion=apiVersion;
        }

        public string GetApiVersion(){
            return this.apiVersion;
        }

        public IDictionary<string, string> GetParameters()
        {
            AopDictionary parameters = new AopDictionary();
            parameters.Add("code", this.Code);
            parameters.Add("ext_info", this.ExtInfo);
            parameters.Add("partner_user_id", this.PartnerUserId);
            return parameters;
        }

        #endregion
    }
}
