﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace WayneCloud.Models
{

    public class AliPayConfig
    {
        public static string DEFAULT_CHARSET = "GBK";

        public string alipay_public_key { get; set; }
        //这里要配置没有经过PKCS8转换的原始私钥
        public string merchant_private_key { get; set; }
        public string merchant_public_key { get; set; }
        public string appId { get; set; }
        public string serverUrl { get; set; }
        public string mapiUrl { get; set; }
        public string pid { get; set; }
        public string charset { get; set; }
        public string sign_type { get; set; }
        public string version { get; set; }
        public static AliPayConfig DeserializeFromXmlString(string xmlString)
        {
            using (StringReader reader = new StringReader(xmlString))
            {
                XmlSerializer serializer = new XmlSerializer(typeof(AliPayConfig));
                return (AliPayConfig)serializer.Deserialize(reader);
            }
        }
    }

    public class AliPayConfigInfo
    {
        public AliPayConfig Config { get; set; }
        public string HashValue { get; set; }
    }

    public class AliPayCertificaitonInfo
    {
        public string alipay_public_key_HashValue { get; set; }
        public string merchant_private_key_HashValue { get; set; }
        public string merchant_public_key_HashValue { get; set; }
    }

    public class AliPayConfigAndCertification
    {
        public AliPayConfigInfo ConfigInfo { get; set; }
        public AliPayCertificaitonInfo CertificaitonInfo { get; set; }
    }
}
