﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DFS.Core.Mvc.Jwt.Model
{ 
    public class TokenModel
    {
        /// <summary>
        ///  redis 里面的key
        /// </summary>
        public string Token { get; set; }

        /// <summary>
        /// 扩展id
        /// openid or unionId
        /// </summary>
        public string BusId { get; set; }

        /// <summary>
        ///  系统用户id
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// 过期时间
        /// </summary>
        public DateTime ExpireTime { get; set; }


        /// <summary>
        /// 用户维度区分
        /// 000超级管理员直接跳过所有权限
        /// 100 后台应用用户体系
        /// 200 C端用户客户体系
        /// </summary>
        public string SystemType { get; set; } = "";

        /// <summary>
        /// 系统来源 区别多应用渠道
        /// </summary>
        public string Channel_type { get; set; } = "10001";

        public TokenModel(string token,DateTime expireTime)
        {
            Token = token;
            ExpireTime = expireTime;
        }
        public TokenModel()
        {

        }
    }
}
