﻿using Fuel.Payment.Core;
using Fuel.Payment.Core.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Fuel.Payment.Service.Factory
{
    public abstract class AsyncPaymentProcessor : IPaymentProcessor<ElectronicOrderModel, Task<GenericProcessResponse>>
    {
        public abstract Task<GenericProcessResponse> Process(ElectronicOrderModel order);

        public abstract Task<GenericProcessResponse> Cancel(ElectronicOrderModel order);

        public abstract Task<GenericProcessResponse> Query(ElectronicOrderModel order);

        public abstract Task<GenericProcessResponse> Query(ElectronicOrderModel order, int count, int interval);

        public abstract Task<GenericProcessResponse> Return(ElectronicOrderModel order);

        public abstract Task<GenericProcessResponse> UnifiedOrder(ElectronicOrderModel order);
        /// <summary>
        /// 初始化支付参数
        /// </summary>
        /// <param name="order"></param>
        /// <returns></returns>
        protected abstract Task<GenericProcessResponse> Initialize(ElectronicOrderModel order);
        /// <summary>
        /// 支付结果
        /// </summary>
        /// <param name="order"></param>
        /// <param name="electronicOrderModel"></param>
        /// <returns></returns>
        protected abstract Task<ElectronicOrderModel> PaymentResult(GenericProcessResponse order, ElectronicOrderModel electronicOrderModel);
    }
}
