﻿using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 应用
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(Name = "ad_apply", DisableSyncStructure = true)]
	public partial class AdApply {

		/// <summary>
		/// 主键Id
		/// </summary>
		[JsonProperty, Column(IsPrimary = true)]
		public long Id { get; set; }

		/// <summary>
		/// 应用密钥
		/// </summary>
		[JsonProperty, Column(Name = "app_Secret")]
		public string AppSecret { get; set; }

		/// <summary>
		/// 应用ID
		/// </summary>
		[JsonProperty]
		public string Appid { get; set; }

		/// <summary>
		/// 编码
		/// </summary>
		[JsonProperty]
		public string Code { get; set; }

		/// <summary>
		/// 创建时间
		/// </summary>
		[JsonProperty, Column(DbType = "datetime")]
		public DateTime? CreatedTime { get; set; }

		/// <summary>
		/// 创建者Id
		/// </summary>
		[JsonProperty]
		public long? CreatedUserId { get; set; }

		/// <summary>
		/// 创建者
		/// </summary>
		[JsonProperty, Column(StringLength = 50)]
		public string CreatedUserName { get; set; }

		/// <summary>
		/// 是否删除
		/// </summary>
		[JsonProperty]
		public bool IsDeleted { get; set; }

		/// <summary>
		/// 修改时间
		/// </summary>
		[JsonProperty, Column(DbType = "datetime")]
		public DateTime? ModifiedTime { get; set; }

		/// <summary>
		/// 修改者Id
		/// </summary>
		[JsonProperty]
		public long? ModifiedUserId { get; set; }

		/// <summary>
		/// 修改者
		/// </summary>
		[JsonProperty, Column(StringLength = 50)]
		public string ModifiedUserName { get; set; }

		/// <summary>
		/// 应用名称
		/// </summary>
		[JsonProperty]
		public string Name { get; set; }

		/// <summary>
		/// 排序
		/// </summary>
		[JsonProperty]
		public string Sort { get; set; }

		/// <summary>
		/// 版本
		/// </summary>
		[JsonProperty]
		public long Version { get; set; }
        [JsonProperty]
        public Guid? Buid { get; set; }

    }

}
