﻿using FreeSql.DatabaseModel;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;
namespace Fuel.Core.Entity
{
    /// <summary>
	/// 用户角色
	/// </summary>
    [JsonObject(MemberSerialization.OptIn), Table(Name = "ad_user_role", DisableSyncStructure = true)]
    public partial class AdUserRole
    {
        /// <summary>
		/// 主键Id
		/// </summary>
		[JsonProperty, Column(IsPrimary = true)]
        public long Id { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [JsonProperty, Column(DbType = "datetime")]
        public DateTime? CreatedTime { get; set; }

        /// <summary>
        /// 创建者Id
        /// </summary>
        [JsonProperty]
        public long? CreatedUserId { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [JsonProperty, Column(StringLength = 50)]
        public string CreatedUserName { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [JsonProperty]
        public long UserId { get; set; }

        /// <summary>
        /// 角色Id
        /// </summary>
        [JsonProperty]
        public long RoleId { get; set; }
    }
}
