﻿using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 小程序用户表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class miniprogramusers {

		/// <summary>
		/// 用户唯一标识符
		/// </summary>
		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public long Id { get; set; }

		[JsonProperty]
		public Guid Buid { get; set; }

		/// <summary>
		/// 用户地址
		/// </summary>
		[JsonProperty]
		public string Address { get; set; }

		/// <summary>
		/// 微信OpenId
		/// </summary>
		[JsonProperty, Column(StringLength = 100, IsNullable = false)]
		public string OpenId { get; set; }

		/// <summary>
		/// 微信UnionId
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string UnionId { get; set; }

		/// <summary>
		/// 用户头像地址
		/// </summary>
		[JsonProperty]
		public string UserAvatarUrl { get; set; }

		/// <summary>
		/// 用户昵称
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string UserName { get; set; }

		/// <summary>
		/// 用户手机号
		/// </summary>
		[JsonProperty, Column(StringLength = 20)]
		public string UserPhoneNumber { get; set; }

	}

}
