﻿using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 油枪表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class nozzle {

		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public long Id { get; set; }

		[JsonProperty]
		public Guid? Buid { get; set; }

		/// <summary>
		/// 油品id
		/// </summary>
		[JsonProperty]
		public long ProductID { get; set; }

		/// <summary>
		/// 油罐ID
		/// </summary>
		[JsonProperty]
		public long TankId { get; set; }

		/// <summary>
		/// 外部枪号
		/// </summary>
		[JsonProperty, Column(StringLength = 50, IsNullable = false)]
		public long ExternalGunNumber { get; set; }

		/// <summary>
		/// 内部枪号
		/// </summary>
		[JsonProperty, Column(StringLength = 50, IsNullable = false)]
		public long InternalGunNumber { get; set; }


		/// <summary>
		/// 加油点
		/// </summary>
		[JsonProperty, Column(StringLength = 100, IsNullable = false)]
		public long PumpId { get; set; }

		/// <summary>
		/// 1：在线、2：离线、3：正在加油
		/// </summary>
		[JsonProperty]
		public long Status { get; set; }

        [JsonProperty]
        /// <summary>
        /// fcc的油枪ID
        /// </summary>
        public long NozzleId { get; set; }

	}

}
