﻿using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 油品表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class product {

		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public long Id { get; set; }

		[JsonProperty]
		public Guid Buid { get; set; }

		/// <summary>
		/// 油品码
		/// </summary>
		[JsonProperty, Column(StringLength = 20, IsNullable = false)]
		public string ProductCode { get; set; }

		/// <summary>
		/// 油品名称
		/// </summary>
		[JsonProperty, Column(StringLength = 20)]
		public string ProductName { get; set; }

		/// <summary>
		/// 油品单价
		/// </summary>
		[JsonProperty]
		public decimal? ProductPrice { get; set; }

        [JsonProperty]
        /// <summary>
        /// fcc油品ID
        /// </summary>
        public long ProductId { get; set; }


    }

}
