﻿using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 油罐表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class tanks {

		/// <summary>
		/// 油罐唯一标识符
		/// </summary>
		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public long Id { get; set; }

		[JsonProperty]
		public Guid? Buid { get; set; }

		/// <summary>
		/// 油品ID
		/// </summary>
		[JsonProperty, Column(StringLength = 50, IsNullable = false)]
		public long ProductId { get; set; }

		/// <summary>
		/// 油品名称
		/// </summary>
		[JsonProperty, Column(StringLength = 100, IsNullable = false)]
		public string ProductName { get; set; }

		/// <summary>
		/// 罐容量
		/// </summary>
		[JsonProperty]
		public decimal? TankCapacity { get; set; }

		/// <summary>
		/// 油罐号
		/// </summary>
		[JsonProperty, Column(StringLength = 50, IsNullable = false)]
		public long TankNumber { get; set; }

        /// <summary>
        /// fcc油罐ID
        /// </summary>
        [JsonProperty]
        public long TankID { get; set; }
    }

}
