﻿using FuelServer.Core.Entity;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Fuel.Core.Transactions.Dto
{
    public class TransactionsOutput
    {
        /// <summary>
        /// 订单唯一标识符
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 油站唯一标识符
        /// </summary>
        public Guid Buid { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int MiniProgramID { get; set; }
        /// <summary>
        /// 枪号
        /// </summary>
        public int NozzleId { get; set; }
        /// <summary>
        /// 油品名称
        /// </summary>
        public string ProductName { get; set; }
        /// <summary>
        /// 实际支付金额
        /// </summary>
        public decimal? ActualPaymentAmount { get; set; }
        /// <summary>
        /// 授权时间
        /// </summary>
        public DateTime? AuthorizationTime { get; set; }
        /// <summary>
        /// 挂枪时间
        /// </summary>
        public DateTime? FuelItemTransactionEndTime { get; set; }
        /// <summary>
        /// 订单状态
        /// </summary>
        public transactionsORDERSTATUS OrderStatus { get; set; }
        /// <summary>
        /// 订单类型
        /// </summary>
        public transactionsORDERTYPE OrderType { get; set; }

        /// <summary>
        /// 原金额
        /// </summary>
        public decimal OriginalAmount { get; set; }
        /// <summary>
        /// 支付方式
        /// </summary>
        public string PaymentMethod { get; set; }

        /// <summary>
        /// 升数
        /// </summary>
        public decimal Qty { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
        public decimal? RefundAmount { get; set; }
        /// <summary>
        /// 订单流水号
        /// </summary>
        public string TransactionNumber { get; set; }

        /// <summary>
        /// 交易时间
        /// </summary>
        public DateTime TransactionTime { get; set; }
    }
}
